Subject: Re: [X2Go-Dev] Bug#44: Segmentation Violation in ONMainWindow::slotProxyFinished(

From: Oleksandr Shneyder <[email-masked]>
Date: Mon, 01 Oct 2012 16:11:54 +0200

Am 30.09.2012 10:26, schrieb glpk xypron:
> Package: x2goclient
> Version: X2GoClient V. 3.99.3.0 (Qt - 4.8.2)
> Severity: important
> 
> Dear maintainer,
> 
> I have compiled git version origin/master of x2goclient on a vanilla Debian Wheezy i386.
> 
> Connecting to a SSH server creates an error signal 11 (SIGSEGV) for illegally accessing memory.
> 
> I ran x2goclient again with valgrind. Please, find the output in the appendix.
> 
> Best regards
> 
> Heirnich Schuchardt
> 
> 
> 
> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev

Hello Heirnich,

I made a lot of changes in SSH classes today:

http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ef8c9486314e87bf6aeb748b46b1c35f1b975213

I think, that should solve problem, that you described.

Regards,
Alex
-- 
Oleksandr Shneyder
Dipl. Informatik
X2go Core Developer Team

email:  [email-masked]
web: www.obviously-nice.de

--> X2go - everywhere@home